Get API key
import requests
url = "https://api.auriko.ai/v1/workspaces/{workspace_id}/api-keys/{api_key_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.auriko.ai/v1/workspaces/{workspace_id}/api-keys/{api_key_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.auriko.ai/v1/workspaces/{workspace_id}/api-keys/{api_key_id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"key_prefix": "<string>",
"profile": "inference",
"scopes": [
"<string>"
],
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"rate_limit_rpm": 123,
"expires_at": "2023-11-07T05:31:56Z",
"last_used_at": "2023-11-07T05:31:56Z",
"created_by_key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"message": "API key is invalid.",
"type": "authentication_error",
"param": null,
"code": "invalid_api_key"
}
}{
"error": {
"message": "The requested resource was not found.",
"type": "not_found_error",
"param": null,
"code": "resource_not_found"
}
}API Keys
Get API key
Returns a specific API key’s metadata
GET
/
v1
/
workspaces
/
{workspace_id}
/
api-keys
/
{api_key_id}
Get API key
import requests
url = "https://api.auriko.ai/v1/workspaces/{workspace_id}/api-keys/{api_key_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.auriko.ai/v1/workspaces/{workspace_id}/api-keys/{api_key_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.auriko.ai/v1/workspaces/{workspace_id}/api-keys/{api_key_id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"key_prefix": "<string>",
"profile": "inference",
"scopes": [
"<string>"
],
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"rate_limit_rpm": 123,
"expires_at": "2023-11-07T05:31:56Z",
"last_used_at": "2023-11-07T05:31:56Z",
"created_by_key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"message": "API key is invalid.",
"type": "authentication_error",
"param": null,
"code": "invalid_api_key"
}
}{
"error": {
"message": "The requested resource was not found.",
"type": "not_found_error",
"param": null,
"code": "resource_not_found"
}
}Never returns raw key secrets.
Requires
keys:read scope. Naturally idempotent.
All parameters, request/response schemas, and examples are auto-generated from the OpenAPI specification.Authorizations
API key authentication.
Keys start with ak_ prefix.
Example: Authorization: Bearer ak_live_xxxxxxxxxxxx
Path Parameters
Workspace identifier
API key identifier
Response
OK
API key metadata (excludes the secret key value).
Unique identifier for the API key
Workspace this key belongs to
Human-readable name for the key
Key prefix for identification (e.g. "ak_live_abcdefgh")
Key profile derived from granted scopes
Available options:
inference, management, mixed Granted permission scopes
Whether the key is currently active
When the key was created
Per-key rate limit in requests per minute (null inherits workspace default)
Expiration timestamp (null means no expiration)
When the key was last used (null if never used)
ID of the API key that created this key (null if created via dashboard)